"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetResourcesInput_1 = require("../shapes/GetResourcesInput");
const GetResourcesOutput_1 = require("../shapes/GetResourcesOutput");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const ThrottledException_1 = require("../shapes/ThrottledException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const PaginationTokenExpiredException_1 = require("../shapes/PaginationTokenExpiredException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResources",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetResourcesInput_1.GetResourcesInput
    },
    output: {
        shape: GetResourcesOutput_1.GetResourcesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ThrottledException_1.ThrottledException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        },
        {
            shape: PaginationTokenExpiredException_1.PaginationTokenExpiredException
        }
    ]
};
//# sourceMappingURL=GetResources.js.map